class HomeQuickEntryModel {
  String colum_size;
  String data_type;
  String pagination;
  String pagination_select_color;
  String pagination_unselect_color;
  String row_size;
  String title_1_text_color;
  String title_2_text_color;
  List<TypeNormal> type_normal;
  String title_1_open;
  String title_2_open;
  String pagination_open;

  HomeQuickEntryModel(
      {this.colum_size,
      this.data_type,
      this.pagination,
      this.pagination_select_color,
      this.pagination_unselect_color,
      this.row_size,
      this.title_1_text_color,
      this.title_2_text_color,
      this.title_1_open,
      this.title_2_open,
      this.pagination_open,
      this.type_normal});

  factory HomeQuickEntryModel.fromJson(Map<String, dynamic> json) {
    return HomeQuickEntryModel(
      colum_size: json['colum_size']?.toString(),
      data_type: json['data_type']?.toString(),
      pagination: json['pagination']?.toString(),
      pagination_select_color: json['pagination_select_color']?.toString(),
      pagination_unselect_color: json['pagination_unselect_color']?.toString(),
      row_size: json['row_size']?.toString(),
      title_1_text_color: json['title_1_text_color']?.toString(),
      title_2_text_color: json['title_2_text_color']?.toString(),
      title_1_open: json['title_1_open']?.toString(),
      title_2_open: json['title_2_open']?.toString(),
      pagination_open: json['pagination_open']?.toString(),
      type_normal: json['type_normal'] != null ? (json['type_normal'] as List).map((i) => TypeNormal.fromJson(i)).toList() : null,
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['colum_size'] = this.colum_size;
    data['data_type'] = this.data_type;
    data['pagination'] = this.pagination;
    data['pagination_select_color'] = this.pagination_select_color;
    data['pagination_unselect_color'] = this.pagination_unselect_color;
    data['row_size'] = this.row_size;
    data['title_1_text_color'] = this.title_1_text_color;
    data['title_2_text_color'] = this.title_2_text_color;
    data['pagination_open'] = this.pagination_open;
    data['title_1_open'] = this.title_1_open;
    data['title_2_open'] = this.title_2_open;
    if (this.type_normal != null) {
      data['type_normal'] = this.type_normal.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class TypeNormal {
  String img;
  String required_login;
  String required_taobao_auth;
  String skip_identifier;
  String title_1;
  String title_2;
  String type;

  TypeNormal({this.img, this.required_login, this.required_taobao_auth, this.skip_identifier, this.title_1, this.title_2, this.type});

  factory TypeNormal.fromJson(Map<String, dynamic> json) {
    return TypeNormal(
      img: json['img']?.toString(),
      required_login: json['required_login']?.toString(),
      required_taobao_auth: json['required_taobao_auth']?.toString(),
      skip_identifier: json['skip_identifier']?.toString(),
      title_1: json['title_1']?.toString(),
      title_2: json['title_2']?.toString(),
      type: json['type']?.toString(),
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['img'] = this.img;
    data['required_login'] = this.required_login;
    data['required_taobao_auth'] = this.required_taobao_auth;
    data['skip_identifier'] = this.skip_identifier;
    data['title_1'] = this.title_1;
    data['title_2'] = this.title_2;
    data['type'] = this.type;
    return data;
  }
}
